const mongoose = require('mongoose');

const Schema = mongoose.Schema;

const reminderSchema = Schema({
    name: {
        type: String
    },
    dateTime: {
        type: String,
    },
    description: {
        type: String
    },
    orgId: {
        type: Schema.Types.ObjectId,
        ref: 'Organization',
    },
    createdBy: {
        type: Schema.Types.ObjectId,
        ref: 'User',
    }

}, { timestamps: true });

module.exports = mongoose.model('Reminder', reminderSchema);