const REPORTS = {
    "TASK": "task",
    "CASE": "case"
};

const DATE_RANGE_OF = {
    'TASK': [
        "createdAt",
        "pickedAt",
        "completedAt"
    ],
    'CASE': [
        "createdAt"
    ]
};

const FIELDS = {
    'TASK': {
        // '_id': 0,
        "cases.caseNumber": 1,
        "workType": 1,
        "status": 1,
        "cases.ownerName": 1,
        'cases.proposePurchaserName': 1,
        'cases.organization.name': 1,
        "cases.client.name": 1,
        'cases.branch.name': 1,
        'organization.name': 1,
        'ownerNames': 1,
        'cases.branch.name': 1,
        "users.firstName": 1,
        "users.lastName": 1,
        "createdAt": 1,
        "pickedAt": 1,
        "completedAt": 1
    },
    'CASE': {
        // '_id': 0,
        "caseNumber": 1,
        "caseStatus": 1,
        "client.name": 1,
        'branch.name': 1,
        'organization.name': 1,
        'ownerName': 1,
        "remarks":1,
        "proposePurchaserName":1,
        'staff.pickupPerson.firstName': 1,
        'staff.pickupPerson.lastName': 1,
        'staff.maker.firstName': 1,
        'staff.maker.lastName': 1,
        'staff.checker.firstName': 1,
        'staff.checker.lastName': 1,
        'staff.rateVerifier.firstName': 1,
        'staff.rateVerifier.lastName': 1,
        'staff.siteEngineer.firstName': 1,
        'staff.siteEngineer.lastName': 1,
        'staff.valuer.firstName': 1,
        'staff.valuer.lastName': 1,
        "createdAt": 1,
        // "updatedAt": 0,
    }
}

const FIELDS_ARRAY = {
    'TASK': Object.keys(FIELDS['TASK']),
    'CASE': Object.keys(FIELDS['CASE']),
}

module.exports = { REPORTS, DATE_RANGE_OF, FIELDS, FIELDS_ARRAY }