#!/bin/bash

SOURCE_HOST="192.168.1.126"
REMOTE_DB="realvalue"
PORT=27017
S3_BUCKET=realvalue-backup/db
DATE=$(date +\"%Y%m%d-%H%M%S-%Z\")

DEST_HOST="192.168.1.99"
LOCAL_DB="realvalue_beta_0726"

USER="remote-user-name"
PASS="passwordForRemoteUser"

## DUMP REMOTE DATABASE
echo "Dumping '$SOURCE_HOST:$PORT/$REMOTE_DB'..."
mongodump --host $SOURCE_HOST:$PORT --db $REMOTE_DB #-u $USER -p $PASS
mongodump --host $SOURCE_HOST:$PORT --db "prod_realvalue" #-u $USER -p $PASS

## RESTORE DUMP DIRECTORY
#echo "Restoring to '$LOCAL_DB'..."
# mongorestore --host $DEST_HOST:$PORT --db $LOCAL_DB --drop dump/$REMOTE_DB
zip -r dump_$DATE.zip ./dump
# /usr/local/bin/aws s3 cp dump_$DATE.zip s3://$S3_BUCKET/mongodb_bk_$DATE.zip --profile som-realvalue

FILE_PATH=dump_$DATE.zip

# URL of the PHP upload script
UPLOAD_URL="http://157.173.221.140/upload-bk.php"

# Upload the file using curl
curl -F "file=@${FILE_PATH}" ${UPLOAD_URL}

cp ./dump /home/public_html/CDN/sec_db_bk/ -r
## REMOVE DUMP FILES
# echo "Removing dump files..."
# rm -r dump dump_$DATE.zip


echo "Finished."