
module.exports = async (req, res, next) => {
    try {
        // console.log(req.query);
        const page = parseInt(req.query.page) || 1
        const limit = parseInt(req.query.limit) || 10

        const startIndex = (page - 1) * limit;
        if (!req.local) req.local = {}
        req.local.startIndex = startIndex;
        req.local.limit = limit;

        // console.log(startIndex, ": StartIndex",page,limit);
        next();

    } catch (err) {
        console.log(err);
        return res.status(500).send({ status: false, error: err })

    }
}





